<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetCard Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : GetCard Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

bsExtension
  Extension of file for which to get a data card; for example, "DWG" or "DOC" or "." to get the data card for this folder

Gets the interface to a data card of a file of the specified file type or the interface to the data card of this folder.

# Syntax

Visual Basic |
--- | ---

    Function GetCard( _
       ByVal bsExtension As System.String _
    ) As IEdmCard5

C# |
--- | ---

    IEdmCard5 GetCard(
       System.string bsExtension
    )

C++/CLI |
--- | ---

    IEdmCard5^ GetCard(
    &   System.String^ bsExtension
    )

#### Parameters

bsExtension
  Extension of file for which to get a data card; for example, "DWG" or "DOC" or "." to get the data card for this folder

#### Return Value

IEdmCard5

# Example

Find Data Cards with Description Variable (C#)
Find Data Cards with Description Variable (VB.NET)
Get Card Control Information (VB.NET)
Get Card Control Information (C#)

# Remarks

If you only need the card ID, it is faster to call IEdmfolder5::GetCardID than to call this method.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmCard5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_NAME: There is no data card matching the specified extension.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2